Category:  Estimated time: 0.00 hour

Target version: 0.9 (Beta)   

Description

Add the ability for ThreatScripts to perform HTTP operations. This feature is useful for gathering additional information from other

sites or performing more in-depth analysis (like XSS analysis).

History

#1 - 04/27/2010 07:58 PM - Luke Murphey

Some things the module must do:

Provide the response including headers, data, response code, etc.

Define a timeout

Return a result indicating if the data was truncated

Set whether forwards are followed (and how many)

#2 - 05/01/2010 08:37 PM - Luke Murphey

Below would be an example of how the API should work:

get = GetRequest("http://google.com", HTTP1_1)

get.setTimeLimit(10)

get.setSizeLimit(1024)

get.setFollowForwards(10)

result = get.run()

if( result.sizeLimitReached() || result.timeLimitReached() ){

    //Do nothing since the 

}

else{

    result.getData()

    result.getHeader("Server")

    result.getResponseCode()

}
#3 - 05/13/2010 12:53 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented in r452.
